#!/bin/sh

echo "post-install"

# App Central extend timeout, but the timeout seems be counted from post-install, not pre-install, so move "docker pull" to post-install.

docker pull hub-mirror.c.163.com/library/nextcloud:latest

echo "Completed docker pull"


CONTAINER_TEST=$(docker container ls -a | grep Nextcloud | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	docker kill $CONTAINER_TEST
	sleep 2
	docker rm -f $CONTAINER_TEST
fi

C_UID=$(id -u admin)
ADMIN_GID=$(id -g admin)


docker create --name=Nextcloud \
	--restart=unless-stopped \
 	-e PUID=$C_UID -e PGID=$ADMIN_GID \
	-v /share/Docker/Nextcloud:/var/www/html \
	-p 32680:80 \
	hub-mirror.c.163.com/library/nextcloud:latest

docker start Nextcloud
sleep 3


case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		oldim=$(docker images | grep library/nextcloud | grep none | awk '{print $3}')
		echo $oldim
		
		if [ ! -z $oldim ]; then 
			docker rmi -f $oldim
		fi
		;;
	*)
		;;
esac

exit 0
